Get Opportunities
/unified/crm/opportunities/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
3 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The opportunity's unique identifier
23 supported
The opportunity's account
19 supported
The account's unique identifier
The opportunity's amount
21 supported
The date and time of the opportunity's close date
19 supported
The opportunity's contacts
19 supported
The contact's unique identifier
The date and time of the opportunity's creation
21 supported
The amount attribute's currency
11 supported
All the custom fields present on the opportunity
17 supported
The opportunity's description
14 supported
The date and time of the opportunity's last activity
13 supported
The opportunity's name
23 supported
The opportunity's owner
22 supported
The opportunity's owner's unique identifier
Raw data returned from the remote API call.
The opportunity's stage
19 supported
The stage's unique identifier
The stage's name
The opportunity's status
14 supported
The opportunity's tags
8 supported
The tag's unique identifier
The tag's name
The date and time of the opportunity's last update
20 supported
The opportunity's urls
9 supported
The opportunity's URL type
The opportunity's URL
curl -X GET 'https://api.truto.one/unified/crm/opportunities/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/crm/opportunities/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/crm/opportunities/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.get(
'crm',
'opportunities',
'<resource_id>',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.get(
"crm",
"opportunities",
"<resource_id>",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())